| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | Properties | List of all members
IG.Num.Experimental.MX Class Reference

Defines some mathematical functions to be used in derived classes. Beside the auxiliary functions already in class M, this class also defines functions that use type xdouble instead of double. More...

Inheritance diagram for IG.Num.Experimental.MX:
[legend]
Collaboration diagram for IG.Num.Experimental.MX:
[legend]

## Static Public Member Functions
static xdouble | Abs (xdouble a)
| Absolute value. More...
static xdouble | abs (xdouble a)
| Absolute value. More...
static xdouble | Acos (xdouble a)
| Returns the angle whose cosine is the specified number. More...
static xdouble | acos (xdouble a)
| Returns the angle whose cosine is the specified number. More...
static xdouble | arccos (xdouble a)
| Returns the angle whose cosine is the specified number. More...
static xdouble | Asin (xdouble a)
| Returns the angle whose sine is the specified number. More...
static xdouble | asin (xdouble a)
| Returns the angle whose sine is the specified number. More...
static xdouble | arcsin (xdouble a)
| Returns the angle whose sine is the specified number. More...
static xdouble | Atan (xdouble a)
| Returns the angle whose tangent is the specified number. More...
static xdouble | atan (xdouble a)
| Returns the angle whose tangent is the specified number. More...
static xdouble | arctan (xdouble a)
| Returns the angle whose tangent is the specified number. More...
static xdouble | arctg (xdouble a)
| Returns the angle whose tangent is the specified number. More...
static xdouble | Atan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static xdouble | atan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static xdouble | arctan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static xdouble | arctg2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static xdouble | Ceiling (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static xdouble | ceiling (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static xdouble | ceil (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static xdouble | Cos (xdouble a)
| Returns the cosine of the specified angle. More...
static xdouble | cos (xdouble a)
| Returns the cosine of the specified angle. More...
static xdouble | Cosh (xdouble a)
| Returns the hyperbolic cosine of the specified angle. More...
static xdouble | cosh (xdouble a)
| Returns the hyperbolic cosine of the specified angle. More...
static xdouble | ch (xdouble a)
| Returns the hyperbolic cosine of the specified angle. More...
static xdouble | Exp (xdouble a)
| Returns e raised to the specified power. More...
static xdouble | exp (xdouble a)
| Returns e raised to the specified power. More...
static xdouble | Floor (xdouble a)
| Returns the largest integer less than or equal to the specified number. More...
static xdouble | floor (xdouble a)
| Returns the largest integer less than or equal to the specified number. More...
static xdouble | Log (xdouble a)
| Returns the natural (base e) logarithm of a specified number. More...
static xdouble | log (xdouble a)
| Returns the natural (base e) logarithm of a specified number. More...
static xdouble | ln (xdouble a)
| Returns the natural (base e) logarithm of a specified number. More...
static xdouble | Log10 (xdouble a)
| Returns the base 10 logarithm of a specified number. More...
static xdouble | log10 (xdouble a)
| Returns the base 10 logarithm of a specified number. More...
static xdouble | lg (xdouble a)
| Returns the base 10 logarithm of a specified number. More...
static xdouble | Log2 (xdouble a)
| Returns the base 2 logarithm of a specified number. More...
static xdouble | log2 (xdouble a)
| Returns the base 2 logarithm of a specified number. More...
static xdouble | Log (xdouble a, xdouble logBase)
| Returns the logarithm of a specified number in a specified base. More...
static xdouble | log (xdouble a, xdouble logBase)
| Returns the logarithm of a specified number in a specified base. More...
static xdouble | Max (xdouble a, xdouble b)
| Returns the larger of two numbers. More...
static xdouble | max (xdouble a, xdouble b)
| Returns the larger of two numbers. More...
static xdouble | Min (xdouble a, xdouble b)
| Returns the smaller of two numbers. More...
static xdouble | min (xdouble a, xdouble b)
| Returns the smaller of two numbers. More...
static xdouble | Pow (xdouble a, xdouble b)
| Returns a specified number raised to the specified power. More...
static xdouble | pow (xdouble a, xdouble b)
| Returns a specified number raised to the specified power. More...
static xdouble | Sign (xdouble a)
| Returns a value indicating the sign of a number. More...
static xdouble | sign (xdouble a)
| Returns a value indicating the sign of a number. More...
static xdouble | sgn (xdouble a)
| Returns a value indicating the sign of a number. More...
static xdouble | Sin (xdouble a)
| Returns the sine of the specified angle. More...
static xdouble | sin (xdouble a)
| Returns the sine of the specified angle. More...
static xdouble | Sinh (xdouble a)
| Returns the hyperbolic sine of the specified angle. More...
static xdouble | sinh (xdouble a)
| Returns the hyperbolic sine of the specified angle. More...
static xdouble | sh (xdouble a)
| Returns the hyperbolic sine of the specified angle. More...
static xdouble | Sqr (xdouble a)
| Returns the square of a specified number. More...
static xdouble | sqr (xdouble a)
| Returns the square of a specified number. More...
static xdouble | Cube (xdouble a)
| Returns the square of a specified number. More...
static xdouble | cube (xdouble a)
| Returns the square of a specified number. More...
static xdouble | Sqrt (xdouble a)
| Returns the square root of a specified number. More...
static xdouble | sqrt (xdouble a)
| Returns the square root of a specified number. More...
static xdouble | Tan (xdouble a)
| Returns the tangent of the specified angle. More...
static xdouble | tan (xdouble a)
| Returns the tangent of the specified angle. More...
static xdouble | tg (xdouble a)
| Returns the tangent of the specified angle. More...
static xdouble | Tanh (xdouble a)
| Returns the hyperbolic tangent of the specified angle. More...
static xdouble | tanh (xdouble a)
| Returns the hyperbolic tangent of the specified angle. More...
static xdouble | th (xdouble a)
| Returns the hyperbolic tangent of the specified angle. More...
static xdouble | Truncate (xdouble a)
| Calculates the integral part of a specified double-precision floating-point number. More...
static xdouble | truncate (xdouble a)
| Calculates the integral part of a specified number. More...
static xdouble | trunc (xdouble a)
| Calculates the integral part of a specified number. More...
Static Public Member Functions inherited from IG.Num.MExt
static double | Abs (double a)
| Absolute value. More...
static double | Sign (double a)
| Returns a value indicating the sign of a number. More...
static double | sgn (double a)
| Returns a value indicating the sign of a number. More...
static double | Ceiling (double a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static double | ceiling (double a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static double | Floor (double a)
| Returns the largest integer less than or equal to the specified number. More...
static double | Truncate (double a)
| Calculates the integral part of a specified double-precision floating-point number. More...
static double | truncate (double a)
| Calculates the integral part of a specified number. More...
static double | Min (double a, double b)
| Smallest of two numbers. More...
static double | Max (double a, double b)
| Largest of two numbers. More...
static double | Min (double a, double b, double c)
| Smallest of three numbers. More...
static double | Max (double a, double b, double c)
| Largest of three numbers. More...
static double | Min (double a, double b, double c, double d)
| Smallest of four numbers. More...
static double | Max (double a, double b, double c, double d)
| Largest of four numbers. More...
static double | Min (double a, double b, double c, double d, double e)
| Smallest of five numbers. More...
static double | Max (double a, double b, double c, double d, double e)
| Largest of five numbers. More...
static double | Min (double a, double b, double c, double d, double e, double f)
| Smallest of six numbers. More...
static double | Max (double a, double b, double c, double d, double e, double f)
| Largest of six numbers. More...
static double | Min (params double[] numbers)
| Minimal of the specified values. More...
static double | Max (params double[] numbers)
| Maximal of the specified values. More...
static double | Sum (params double[] numbers)
| Sum of the specified values. More...
static double | Product (params double[] numbers)
| Product of the specified values. More...
static double | product (params double[] numbers)
| Product of the specified values. More...
static double | Pow (double a, double b)
| Returns a specified number raised to the specified power. More...
static double | Sqr (double a)
| Returns the square of a specified number. More...
static double | Cube (double a)
| Returns the square of a specified number. More...
static double | Pow2 (double x)
| Square. More...
static double | Pow3 (double x)
| 3rd power. More...
static double | Pow4 (double x)
| 4th power. More...
static double | Pow5 (double x)
| 5th power. More...
static double | Pow6 (double x)
| 6th power. More...
static double | Sqrt (double a)
| Returns the square root of a specified number. More...
static double | Root2 (double a)
| Returns the square root of a specified number. More...
static double | Root3 (double a)
| Returns the cubic root of a specified number. More...
static double | Rand ()
| Returns a uniformly distributed random number greater than or equal to 0.0, and less or equal than 1.0. More...
static double | Rand (double min, double max)
| Returns a uniformly distributed random number greater than or equal to min, and less or equal than max. More...
static double | RandGauss (double mean, double standardDeviation)
| Returns a Gaussian distributed random number with the specified mean and standard deviation. More...
static double | Exp (double a)
| Returns e raised to the specified power. More...
static double | Log (double a)
| Returns the natural (base e) logarithm of a specified number. More...
static double | Log10 (double a)
| Returns the base 10 logarithm of a specified number. More...
static double | Log2 (double a)
| Returns the base 2 logarithm of a specified number. More...
static double | Log (double a, double logBase)
| Returns the logarithm of a specified number in a specified base. More...
static double | Degrees (double x)
| Converts angle in radians to angle in degrees and returns it. More...
static double | Radians (double x)
| Converts angle in degrees to angle in radians and returns it. More...
static double | Sin (double a)
| Returns the sine of the specified angle. More...
static double | Cos (double a)
| Returns the cosine of the specified angle. More...
static double | Tan (double a)
| Returns the tangent of the specified angle. More...
static double | tan (double a)
| Returns the tangent of the specified angle. More...
static double | Cot (double x)
| Returns cotangent of the specified angle. More...
static double | Acos (double a)
| Returns the angle whose cosine is the specified number. More...
static double | acos (double a)
| Returns the angle whose cosine is the specified number. More...
static double | Asin (double a)
| Returns the angle whose sine is the specified number. More...
static double | asin (double a)
| Returns the angle whose sine is the specified number. More...
static double | Atan (double a)
| Returns the angle whose tangent is the specified number. More...
static double | atan (double a)
| Returns the angle whose tangent is the specified number. More...
static double | arctan (double a)
| Returns the angle whose tangent is the specified number. More...
static double | Acot (double x)
| Arc cotangent, inverse of 1/tan(x). More...
static double | acot (double x)
| Arc cotangent, inverse of 1/tan(x). More...
static double | ArcCot (double x)
| Arc cotangent, inverse of 1/tan(x). More...
static double | arccot (double x)
| Arc cotangent, inverse of 1/tan(x). More...
static double | Atan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static double | atan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static double | arctan2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static double | Sinh (double a)
| Returns the hyperbolic sine of the specified angle. More...
static double | sinh (double a)
| Returns the hyperbolic sine of the specified angle. More...
static double | Cosh (double a)
| Returns the hyperbolic cosine of the specified angle. More...
static double | cosh (double a)
| Returns the hyperbolic cosine of the specified angle. More...
static double | Tanh (double a)
| Returns the hyperbolic tangent of the specified angle. More...
static double | tanh (double a)
| Returns the hyperbolic tangent of the specified angle. More...
static double | Coth (double x)
| Hyperblic cotangent, 1/Math.Tanh. More...
static double | coth (double x)
| Hyperblic cotangent, 1/Math.Tanh. More...
static double | Arsinh (double x)
| Inverse hyperbolic sine. More...
static double | Arcosh (double x)
| Inverse hyperbolic cosine. More...
static double | Artanh (double x)
| Inverse hyperbolic tangent. More...
static double | Arcoth (double x)
| Inverse hyperbolic cotangent. More...
static long | Factorial (int factor)
| Returns factorial of the specified number. More...
static long | factorial (int factor)
| Returns factorial of the specified number. More...
static long | BinomialCoefficient (long n, long k)
| Returns binomial coefficient n over k . More...
Static Public Member Functions inherited from IG.Num.M
static void | Swap (ref double a, ref double b)
| Swaps values of the two specified variables of type double. More...
static void | Swap (ref int a, ref int b)
| Swaps values of the two specified variables of type int. More...
static void | Swap (ref string a, ref string b)
| Swaps values of the two specified variables of type string. More...
static double | abs (double a)
| Absolute value. More...
static double | sign (double a)
| Returns a value indicating the sign of a number. More...
static double | ceil (double a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number. More...
static double | floor (double a)
| Returns the largest integer less than or equal to the specified number. More...
static double | trunc (double a)
| Calculates the integral part of a specified number. More...
static double | min (double a, double b)
| Smallest of two numbers. More...
static double | max (double a, double b)
| Largest of two numbers. More...
static double | min (double a, double b, double c)
| Smallest of three numbers. More...
static double | max (double a, double b, double c)
| Largest of three numbers. More...
static double | min (double a, double b, double c, double d)
| Smallest of four numbers. More...
static double | max (double a, double b, double c, double d)
| Largest of four numbers. More...
static double | min (double a, double b, double c, double d, double e)
| Smallest of five numbers. More...
static double | max (double a, double b, double c, double d, double e)
| Largest of five numbers. More...
static double | min (double a, double b, double c, double d, double e, double f)
| Smallest of six numbers. More...
static double | max (double a, double b, double c, double d, double e, double f)
| Largest of six numbers. More...
static double | min (params double[] numbers)
| Minimal of the specified values. More...
static double | max (params double[] numbers)
| Maximal of the specified values. More...
static double | sum (params double[] numbers)
| Sum of the specified values. More...
static double | prod (params double[] numbers)
| Product of the specified values. More...
static double | pow (double a, double b)
| Returns a specified number raised to the specified power. More...
static double | sqr (double a)
| Returns the square of a specified number. More...
static double | cube (double a)
| Returns the square of a specified number. More...
static double | pow2 (double x)
| Square. More...
static double | pow3 (double x)
| 3rd power. More...
static double | pow4 (double x)
| 4th power. More...
static double | pow5 (double x)
| 5th power. More...
static double | pow6 (double x)
| 6th power. More...
static double | sqrt (double a)
| Returns the square root of a specified number. More...
static double | root2 (double a)
| Returns the square root of a specified number. More...
static double | root3 (double a)
| Returns the cubic root of a specified number. More...
static double | rand ()
| Returns a uniformly distributed random number greater than or equal to 0.0, and less or equal than 1.0. More...
static double | rand (double min, double max)
| Returns a uniformly distributed random number greater than or equal to min, and less or equal than max. More...
static double | randgauss (double mean, double standardDeviation)
| Returns a Gaussian distributed random number with the specified mean and standard deviation. More...
static double | exp (double a)
| Returns e raised to the specified power. More...
static double | log (double a)
| Returns the natural (base e) logarithm of a specified number. More...
static double | ln (double a)
| Returns the natural (base e) logarithm of a specified number. More...
static double | log10 (double a)
| Returns the base 10 logarithm of a specified number. More...
static double | lg (double a)
| Returns the base 10 logarithm of a specified number. More...
static double | log2 (double a)
| Returns the base 2 logarithm of a specified number. More...
static double | log (double a, double logBase)
| Returns the logarithm of a specified number in a specified base. More...
static double | deg (double x)
| Converts angle in radians to angle in degrees and returns it. More...
static double | rad (double x)
| Converts angle in degrees to angle in radians and returns it. More...
static double | sin (double a)
| Returns the sine of the specified angle. More...
static double | cos (double a)
| Returns the cosine of the specified angle. More...
static double | tg (double a)
| Returns the tangent of the specified angle. More...
static double | ctg (double x)
| Returns cotangent of the specified angle. More...
static double | arccos (double a)
| Returns the angle whose cosine is the specified number. More...
static double | arcsin (double a)
| Returns the angle whose sine is the specified number. More...
static double | arctg (double a)
| Returns the angle whose tangent is the specified number. More...
static double | arcctg (double x)
| Arc cotangent, inverse of 1/tan(x). More...
static double | arctg2 (double a, double b)
| Returns the angle whose tangent is the quotient of two specified numbers. More...
static double | Sinh (double a)
| Returns the hyperbolic sine of the specified angle. More...
static double | sinh (double a)
| Returns the hyperbolic sine of the specified angle. More...
static double | sh (double a)
| Returns the hyperbolic sine of the specified angle. More...
static double | ch (double a)
| Returns the hyperbolic cosine of the specified angle. More...
static double | th (double a)
| Returns the hyperbolic tangent of the specified angle. More...
static double | cth (double x)
| Hyperblic cotangent, 1/Math.Tanh. More...
static double | arsh (double x)
| Inverse hyperbolic sine. More...
static double | arch (double x)
| Inverse hyperbolic cosine. More...
static double | arth (double x)
| Inverse hyperbolic tangent. More...
static double | arcth (double x)
| Inverse hyperbolic cotangent. More...
static bool | CheckFactorialsArray ()
| Tests ehether the factoirals in the hard-coded array (factorials64) of factorials are correct; Throws ArgumentException if any of them is incorrect. More...
static void | TestFactorials ()
| Writes to the console all factorials that can be calculatet. More...
static void | TestFactorials (int max)
| Writes to the console the first n factorials. More...
static long | fac (int factor)
| Returns factorial of the specified number. More...
static long | facCalculated (long n)
| Returns factorial of the specified number - less efficient approac, but does not rely on hard coded array. More...
static long | fallingPower (long n, long p)
| Calculates and returns the falling power of the specified number. More...
static long | binomial (long n, long k)
| Returns binomial coefficient n over k . More...
static void | TestBinomialCoefficients ()
| Writes the first few binomial coefficients to the console. More...
static void | TestBinomialCoefficients (int nMax)
| Writes binomial coefficients up to the specified number to the console. More...
static double | Mean (ICollection< double > sample)
| Returns mean value of the specified sample. More...
static double | Mean (IVector sample)
| Returns mean value of the specified sample. More...
static double | Average (ICollection< double > sample)
| Returns mean value of the specified sample. More...
static double | Average (IVector sample)
| Returns mean value of the specified sample. More...
static double | StandardDeviation (ICollection< double > sample)
| Returns estimation of the standard deviation of a random value based on the specified sample. More...
static double | StandardDeviation (IVector sample)
| Returns estimation of the standard deviation of a random value based on the specified sample. More...

## Properties
static new xdouble | E`[get]`
| Natural logarithmic base. More...
static new xdouble | e`[get]`
| Natural logarithmic base. More...
static new xdouble | Pi`[get]`
| Ratio of the circumference of a circle to its diameter. More...
static new xdouble | pi`[get]`
| Ratio of the circumference of a circle to its diameter. More...
static new xdouble | Zero`[get]`
| Zero (value 0.0). More...
static new xdouble | zero`[get]`
| Zero (value 0.0). More...
static new xdouble | One`[get]`
| One (value 1.0). More...
static new xdouble | one`[get]`
| One (value 1.0). More...
Properties inherited from IG.Num.MExt
static double | E`[get]`
| Natural logarithmic base. More...
static double | Pi`[get]`
| Ratio of the circumference of a circle to its diameter. More...
static double | Zero`[get]`
| Zero (value 0.0). More...
static double | One`[get]`
| One (value 1.0). More...
Properties inherited from IG.Num.M
static double | e`[get]`
| Natural logarithmic base. More...
static double | pi`[get]`
| Ratio of the circumference of a circle to its diameter. More...
static double | zero`[get]`
| Zero (value 0.0). More...
static double | one`[get]`
| One (value 1.0). More...

## Detailed Description

Defines some mathematical functions to be used in derived classes. Beside the auxiliary functions already in class M, this class also defines functions that use type xdouble instead of double.

* Standard mathematical functions and constants with short names are implemented, e.g. sin() instesd of Math.Sin().

** These functions are static such that they can be used out of the derived classes, too.

** Some functions are defined with several names, in order to reduce probability of errors in scripts.

** Functions operate on the type xdouble rather than double, such that operator ^ can be used in expressions.

## Member Function Documentation

static xdouble IG.Num.Experimental.MX.Abs | ( | xdouble | a | ) |
| inline static

Absolute value.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.abs | ( | xdouble | a | ) |
| inline static

Absolute value.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Acos | ( | xdouble | a | ) |
| inline static

Returns the angle whose cosine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.acos | ( | xdouble | a | ) |
| inline static

Returns the angle whose cosine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arccos | ( | xdouble | a | ) |
| inline static

Returns the angle whose cosine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Asin | ( | xdouble | a | ) |
| inline static

Returns the angle whose sine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.asin | ( | xdouble | a | ) |
| inline static

Returns the angle whose sine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arcsin | ( | xdouble | a | ) |
| inline static

Returns the angle whose sine is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Atan | ( | xdouble | a | ) |
| inline static

Returns the angle whose tangent is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.atan | ( | xdouble | a | ) |
| inline static

Returns the angle whose tangent is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arctan | ( | xdouble | a | ) |
| inline static

Returns the angle whose tangent is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arctg | ( | xdouble | a | ) |
| inline static

Returns the angle whose tangent is the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Atan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the angle whose tangent is the quotient of two specified numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.atan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the angle whose tangent is the quotient of two specified numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arctan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the angle whose tangent is the quotient of two specified numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.arctg2 | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the angle whose tangent is the quotient of two specified numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Ceiling | ( | xdouble | a | ) |
| inline static

Returns the smallest integral value that is greater than or equal to the specified decimal number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.ceiling | ( | xdouble | a | ) |
| inline static

Returns the smallest integral value that is greater than or equal to the specified decimal number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.ceil | ( | xdouble | a | ) |
| inline static

Returns the smallest integral value that is greater than or equal to the specified decimal number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Cos | ( | xdouble | a | ) |
| inline static

Returns the cosine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.cos | ( | xdouble | a | ) |
| inline static

Returns the cosine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Cosh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic cosine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.cosh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic cosine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.ch | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic cosine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Exp | ( | xdouble | a | ) |
| inline static

Returns e raised to the specified power.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.exp | ( | xdouble | a | ) |
| inline static

Returns e raised to the specified power.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Floor | ( | xdouble | a | ) |
| inline static

Returns the largest integer less than or equal to the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.floor | ( | xdouble | a | ) |
| inline static

Returns the largest integer less than or equal to the specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Log | ( | xdouble | a | ) |
| inline static

Returns the natural (base e) logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.log | ( | xdouble | a | ) |
| inline static

Returns the natural (base e) logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.ln | ( | xdouble | a | ) |
| inline static

Returns the natural (base e) logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Log10 | ( | xdouble | a | ) |
| inline static

Returns the base 10 logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.log10 | ( | xdouble | a | ) |
| inline static

Returns the base 10 logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.lg | ( | xdouble | a | ) |
| inline static

Returns the base 10 logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Log2 | ( | xdouble | a | ) |
| inline static

Returns the base 2 logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.log2 | ( | xdouble | a | ) |
| inline static

Returns the base 2 logarithm of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Log | ( | xdouble | a,
|  | xdouble | logBase
| ) |  |
| inline static

Returns the logarithm of a specified number in a specified base.

Parameters

  a | Number whose logarithm is returned.
  logBase | Base of the logarithm.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.log | ( | xdouble | a,
|  | xdouble | logBase
| ) |  |
| inline static

Returns the logarithm of a specified number in a specified base.

Parameters

  a | Number whose logarithm is returned.
  logBase | Base of the logarithm.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Max | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the larger of two numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.max | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the larger of two numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Min | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the smaller of two numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.min | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns the smaller of two numbers.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Pow | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns a specified number raised to the specified power.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.pow | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

Returns a specified number raised to the specified power.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Sign | ( | xdouble | a | ) |
| inline static

Returns a value indicating the sign of a number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sign | ( | xdouble | a | ) |
| inline static

Returns a value indicating the sign of a number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sgn | ( | xdouble | a | ) |
| inline static

Returns a value indicating the sign of a number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Sin | ( | xdouble | a | ) |
| inline static

Returns the sine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sin | ( | xdouble | a | ) |
| inline static

Returns the sine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Sinh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic sine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sinh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic sine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic sine of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Sqr | ( | xdouble | a | ) |
| inline static

Returns the square of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sqr | ( | xdouble | a | ) |
| inline static

Returns the square of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Cube | ( | xdouble | a | ) |
| inline static

Returns the square of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.cube | ( | xdouble | a | ) |
| inline static

Returns the square of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Sqrt | ( | xdouble | a | ) |
| inline static

Returns the square root of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.sqrt | ( | xdouble | a | ) |
| inline static

Returns the square root of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Tan | ( | xdouble | a | ) |
| inline static

Returns the tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.tan | ( | xdouble | a | ) |
| inline static

Returns the tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.tg | ( | xdouble | a | ) |
| inline static

Returns the tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Tanh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.tanh | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.th | ( | xdouble | a | ) |
| inline static

Returns the hyperbolic tangent of the specified angle.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.Truncate | ( | xdouble | a | ) |
| inline static

Calculates the integral part of a specified double-precision floating-point number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.truncate | ( | xdouble | a | ) |
| inline static

Calculates the integral part of a specified number.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.MX.trunc | ( | xdouble | a | ) |
| inline static

Calculates the integral part of a specified number.

References IG.Num.Experimental.xdouble.Value.

## Property Documentation

new xdouble IG.Num.Experimental.MX.E
| static get

Natural logarithmic base.

new xdouble IG.Num.Experimental.MX.e
| static get

Natural logarithmic base.

new xdouble IG.Num.Experimental.MX.Pi
| static get

Ratio of the circumference of a circle to its diameter.

new xdouble IG.Num.Experimental.MX.pi
| static get

Ratio of the circumference of a circle to its diameter.

new xdouble IG.Num.Experimental.MX.Zero
| static get

Zero (value 0.0).

new xdouble IG.Num.Experimental.MX.zero
| static get

Zero (value 0.0).

new xdouble IG.Num.Experimental.MX.One
| static get

One (value 1.0).

new xdouble IG.Num.Experimental.MX.one
| static get

One (value 1.0).

The documentation for this class was generated from the following file:

- igbase/utilities/UtilMath.cs